package nxm.sys.prim;

/** Computes the min and max values on a data file. <code>MAXMIN</code> was converted from a macro to a
    primitive in NeXtMidas 2.5.0 to support use of files in the RAM aux (a macro does not share its
    entries in the RAM aux which prevents a macro implementation from working).

    @author  J. Czechowski IV
    @since   NeXtMidas 2.5.0
*/
public class maxmin extends statistics {

  /** default constructor */
  public maxmin () {}

  protected boolean outputToResTable() {
    table.put("MINOUT",dmin);
    table.put("MAXOUT",dmax);
    return super.outputToResTable();
  }
}